version: '3'

services:
  mysql:
    image: mysql:8
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_DATABASE: demo
      MYSQL_USER: user
      MYSQL_PASSWORD: password
    env_file:
      - .env.development
    ports:
      - "3308:3306"
    volumes:
      - db:/var/lib/mysql

  webserver:
    build:
      context: .
      dockerfile: docker/webserver/Dockerfile
    env_file:
      - .env.development
    ports:
      - "80:80"
    links:
      - mysql
    depends_on:
      - mysql
    volumes:
      - ".:/var/www/symfony:rw"

volumes:
  db:
